@import '../../../../src/styles.scss';

.profile-container {
  position: relative;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  padding: 10px 10px 0px 10px;
  width: 540px;
  height: 600px;
  border-radius: 10px;
  -webkit-box-shadow: 10px 10px 7px -6px rgba(84, 84, 84, 0.44);
  -moz-box-shadow: 10px 10px 7px -6px rgba(84, 84, 84, 0.44);
  box-shadow: 10px 10px 7px -6px rgba(84, 84, 84, 0.44);
  background-image: url("~src/assets/images/cover4.png");
  background-size: 540px 300px;
  background-color: white;
  background-repeat: no-repeat;
  background-position: top;
  z-index: 2;

}

.profile-personal-info {
  display: flex;
  flex-flow: column wrap;
  justify-content: center;
  align-items: center;
  flex: 2;
}

.profile-avatar-wrapper {
  margin-top: 226px;
  border-radius: 100%;
  height: 100px;
  width: 100px;
  -webkit-box-shadow: -15px 15px 0px -4px $main-color-faded;
  -moz-box-shadow: -15px 15px 0px -4px $main-color-faded;
  box-shadow: -15px 15px 0px -4px $main-color-faded;
  border: 1px solid transparent; // solves the scale glitch of 1px
}

.profile-avatar {
  border-radius: 100%;
  width: 100%;
  height: 100%;
  background-image: url("~src/assets/images/avatar.png");
  background-repeat: no-repeat;
  background-position: center;
  background-size: cover;
  &:hover{
    transform: scale(1.00); // do nothing for now
    transition: all 0.5s;
  }
}

.profile-name {
  margin-top: 20px;
  font-size: 28px;
  text-align: center;
}

.profile-profession {
  font-size: 14px;
  color: $main-color;
}

.profile-social-flex {
  flex: 2;
}

.profile-actions-flex {
  flex: 1;
}

@media screen and (max-width: 1190px) {
  .profile-container {
    width: 340px;
    height: 600px;
    background-size: 340px 250px;
  }
  .profile-avatar-wrapper {
     margin-top: 180px;
  }
}

@media screen and (max-width: 900px) {
  .profile-container {
    height: 100%;
    border-radius: 0
  }
  .profile-name {
    margin-top: 70px;
  }
}

@media screen and (max-width: 750px) {
  .profile-container {
    width: 100%;
    background-size: 100% 250px;
  }
}
